---
title: llarp::service::Introduction

---

# llarp::service::Introduction





## Public Functions

|                | Name           |
| -------------- | -------------- |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1service_1_1Introduction.md#function-extractstatus)**() const |
| bool | **[IsExpired](Classes/structllarp_1_1service_1_1Introduction.md#function-isexpired)**(llarp_time_t now) const |
| bool | **[ExpiresSoon](Classes/structllarp_1_1service_1_1Introduction.md#function-expiressoon)**(llarp_time_t now, llarp_time_t dlt =30s) const |
| std::string | **[ToString](Classes/structllarp_1_1service_1_1Introduction.md#function-tostring)**() const |
| bool | **[BEncode](Classes/structllarp_1_1service_1_1Introduction.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| bool | **[BDecode](Classes/structllarp_1_1service_1_1Introduction.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[DecodeKey](Classes/structllarp_1_1service_1_1Introduction.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| void | **[Clear](Classes/structllarp_1_1service_1_1Introduction.md#function-clear)**() |
| bool | **[operator<](Classes/structllarp_1_1service_1_1Introduction.md#function-operator<)**(const [Introduction](Classes/structllarp_1_1service_1_1Introduction.md) & other) const |
| bool | **[operator==](Classes/structllarp_1_1service_1_1Introduction.md#function-operator==)**(const [Introduction](Classes/structllarp_1_1service_1_1Introduction.md) & other) const |
| bool | **[operator!=](Classes/structllarp_1_1service_1_1Introduction.md#function-operator!=)**(const [Introduction](Classes/structllarp_1_1service_1_1Introduction.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[router](Classes/structllarp_1_1service_1_1Introduction.md#variable-router)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathID](Classes/structllarp_1_1service_1_1Introduction.md#variable-pathid)**  |
| llarp_time_t | **[latency](Classes/structllarp_1_1service_1_1Introduction.md#variable-latency)**  |
| llarp_time_t | **[expiresAt](Classes/structllarp_1_1service_1_1Introduction.md#variable-expiresat)**  |
| uint64_t | **[version](Classes/structllarp_1_1service_1_1Introduction.md#variable-version)**  |

## Public Functions Documentation

### function ExtractStatus

```cpp
util::StatusObject ExtractStatus() const
```


### function IsExpired

```cpp
inline bool IsExpired(
    llarp_time_t now
) const
```


### function ExpiresSoon

```cpp
inline bool ExpiresSoon(
    llarp_time_t now,
    llarp_time_t dlt =30s
) const
```


### function ToString

```cpp
std::string ToString() const
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


### function BDecode

```cpp
inline bool BDecode(
    llarp_buffer_t * buf
)
```


### function DecodeKey

```cpp
bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * buf
)
```


### function Clear

```cpp
void Clear()
```


### function operator<

```cpp
inline bool operator<(
    const Introduction & other
) const
```


### function operator==

```cpp
inline bool operator==(
    const Introduction & other
) const
```


### function operator!=

```cpp
inline bool operator!=(
    const Introduction & other
) const
```


## Public Attributes Documentation

### variable router

```cpp
RouterID router;
```


### variable pathID

```cpp
PathID_t pathID;
```


### variable latency

```cpp
llarp_time_t latency = 0s;
```


### variable expiresAt

```cpp
llarp_time_t expiresAt = 0s;
```


### variable version

```cpp
uint64_t version = llarp::constants::proto_version;
```


-------------------------------

Updated on 2022-09-01 at 18:16:54 +0000